Instalar impresoras HP en Ubuntu

LogoHPHoy he tenido que instalar una impresora HP, en concreto la HP Deskjet F2492, en el ordenador de mis padres, el cual tiene instalado LUbuntu 12.04, que para muchos casos es un Ubuntu 12.04 puro y duro. El caso es que ha surgido un problema y no ha sido tan fácil como esperaba, pero aquí os dejo la solución.

En primer lugar tenemos que acceder a http://hplipopensource.com/hplip-web/downloads.html y descargarnos HPLIP, este programa creado por HP permite instalar cualquiera de sus impresoras en Linux, no es más que un fichero que debemos ejecutar, en mi caso, hplip-3.12.10.run. Abrimos un terminal y escribimos.

$ sh hplip-3.12.10.run

Si todo va bien sólo tendremos que seguir los pasos de un asistente en modo texto hasta finalizar, tras el cual aparecerá un asistente en modo gráfico para añadir la impresora, este último lo podremos ejecutar en cualquier momento utilizando el comando hp-setup desde una consola.

Aquí os dejo el enlace al manual de instalación -> http://hplipopensource.com/hplip-web/install/install/index.html

El problema viene si al ejercutar el fichero hplip-3.12.10.run nos aparece el siguiente mensaje de error.

warning: CUPSEXT could not be loaded. Please check HPLIP installation.

Tras googlear brevemente econtramos la solución. Debemos instalar los siguientes paquetes.

$ sudo apt-get install hplip-gui hplip hplip-cups hplip-data hpijs hpijs-ppds

Hecho esto ya podemos volver a lanzar el asistente y terminar de añadir nuestra impresora. Podremos observar como en Gráficos nos aparece la aplicación XSane para escanear documentos.

Espero que os sirva.

Au!!

1 pensamiento en “Instalar impresoras HP en Ubuntu”

  1. El problema con hacer esto es que te instala la versión de los repositorios más antigua que la descargada de la WEB HP. Realicé el procedimiento anterior, descargué la versión 3.14.6 y me salió el mensaje warning: CUPSEXT could not be loaded. Please check HPLIP installation. A pesar de que si está instalado. Cuando instalas hplip-gui hplip hplip-cups hplip-data hpijs hpijs-ppds, algunos archivos ya no están en los repositorios y los que se instalan son de una versión anterior, en mi caso la 3.14.3 que ya estaba instalada y no funcionaba. Instalé todos lo que sugieres y las versiones sugeridas por el sistema, pero no funciona mi impresora, sigue apareciendo el mismo mensaje.

Deja un comentario

* Copy This Password *

* Type Or Paste Password Here *